Subject: Re: ppc/sata-fsl: orphan config value: CONFIG_MPC8315_DS

From: Scott Wood <[email-masked]>
Date: Fri, 23 Aug 2013 18:47:23 -0500

On Fri, 2013-08-23 at 17:41 -0600, Anthony Foiani wrote:
> Scott Wood <[email-masked]> writes:
> 
> >> --- a/Documentation/devicetree/bindings/powerpc/fsl/board.txt
> >> +++ b/Documentation/devicetree/bindings/powerpc/fsl/board.txt
> >
> > This should go in Documentation/devicetree/bindings/ata/fsl-sata.txt.
> 
> Ok, will change.
> 
> > As for the property name, I'd prefer "fsl,sata-speed-limit" or
> > "fsl,sata-max-generation".  
> 
> In my original patch:
> 
>   http://article.gmane.org/gmane.linux.ports.ppc.embedded/58710
> 
> I used "fsl,sata-max-gen".  I thought Jeff disliked it, so I changed
> it be more generic -- but maybe I misread his complaint.  (And while
> his opinions are still respected, new maintainers might have different
> tastes.)

I didn't see anything to that effect from Jeff in that thread -- maybe
it was elsewhere.

> I think my logic was that there exist "sata_spd_limit" and related
> functions in the ata core, so I should mirror that in the dev tree.
> No guarantees, though -- it's been a while since I wrote that code.

The device tree describes the hardware, not the driver -- and thus
should be free to use clearer wording. :-)

As for fsl-specific versus generic, generic is fine but then it needs to
be documented in a generic place.

> > Shaohui, do the driver bits look OK?
> 
> > This patch should go via the linux-scsi list (note that Tejun Heo is
> > now the SATA maintainer).
> 
> linux-scsi, or linux-ide?  My other recent change to sata_fsl went
> through the latter.

Sorry, linux-ide.

-Scott